
QGIS Application - Bug report #10988

Date widget default format for older projects is yyyy-mm-dd (instead os yyyy-MM-dd)

2014-07-30 02:48 PM - Alexandre Neto

Status: Closed

Priority: Low

Assignee:

Category: Edit widget

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19331

Description

This is a "papercut bug" caused by the fact that Date widget default format for older projects is set to "yyyy-mm-dd" (notice that mm is

actually minutes).

Because of the wrong default format the target fields will show wrong values, and errors might occur when trying to commit changes.

The workaround is to manually change the format to "yyyy-MM-dd".

Associated revisions

Revision bcdd3942 - 2014-08-03 12:36 PM - Matthias Kuhn

Merge pull request #1524 from SrNetoChan/master

Fixed Legacy date widget default format

Fix #10988

History

#1 - 2014-07-30 02:50 PM - Alexandre Neto

I have created a pull request to fix this issue.

https://github.com/qgis/QGIS/pull/1524

#2 - 2014-08-03 03:38 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"bcdd3942114b1165d9b5359eb924f27eef754e60".
